package com.googlecode.genproject;

import com.googlecode.genproject.common.Cache;
import com.googlecode.genproject.model.ServiceConfigXml;
import com.googlecode.genproject.service.MainService;
import com.googlecode.genproject.service.base.ServiceSupport;

/**
 * 项目生产工具主类
 * @author devilishking
 *
 */
public class Main extends ServiceSupport<Main> {
	
    public static void main( String[] args ){
		try{
			Cache.getInstance().init();
			MainService mainService = Cache.getInstance().getBean(ServiceConfigXml.ID_MAIN, MainService.class);
			mainService.doExecute();
		}
		catch(Exception e){
			System.out.println(e.getMessage());
		}
    }
}
